# TODO:
# - mediaServer should have init-scripts, user, etc, etc...
# - package test apps
Summary:	LIVE555 streaming media server
Summary(pl.UTF-8):	LIVE555 - serwer strumieni multimedialnych
Name:		live
Version:	2016.02.22
Release:	1
Epoch:		2
License:	LGPL v2.1+
Group:		Applications/Multimedia
Source0:	http://www.live555.com/liveMedia/public/%{name}.%{version}.tar.gz
# Source0-md5:	0ffd0ebf95779da2def3672327b97841
Source1:	http://www.live555.com/liveMedia/public/changelog.txt
# Source1-md5:	002cc1892969cdb7a3db96b585cf412b
Source2:	%{name}-shared.config
Patch0:		%{name}-link.patch
# from debian
Patch1:		%{name}-pkgconfig.patch
URL:		http://www.live555.com/liveMedia/
BuildRequires:	libstdc++-devel
BuildRequires:	sed >= 4.0
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_livedir		%{_libdir}/liveMedia
%define		specflags		-fno-strict-aliasing
# Should be changed on every ABI change
# Alexis Ballier <aballier@gentoo.org>:
%define		LIVE_ABI_VERSION	7
# circular symbol dependencies with libBasicUsageEnvironment
%define		skip_post_check_so	.*%{_libdir}/libUsageEnvironment\.so.*

%description
LIVE555 streaming media server.

%description -l pl.UTF-8
LIVE555 - serwer strumieni multimedialnych.

%package libs
Summary:	Shared LIVE555 libraries for streaming media
Summary(pl.UTF-8):	Biblioteki współdzielone LIVE555 do strumieni multimedialnych
Group:		Libraries

%description libs
Shared LIVE555 libraries for streaming media.

%description libs -l pl.UTF-8
Biblioteki współdzielone LIVE555 do strumieni multimedialnych.

%package devel
Summary:	Header files for developing programs using LIVE555
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki LIVE555
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	libstdc++-devel
Obsoletes:	live < 2:2009.07.09-2.5

%description devel
Header files for developing programs using LIVE555.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki LIVE555

%package static
Summary:	Static LIVE555 libraries for streaming media
Summary(pl.UTF-8):	Biblioteki statyczne LIVE555 do strumieni multimedialnych
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static LIVE555 libraries for streaming media.

%description static -l pl.UTF-8
Biblioteki statyczne LIVE555 do strumieni multimedialnych.

%prep
%setup -q -c -n %{name}
%patch0 -p0
cd live
%patch1 -p1
cd ..
install %{SOURCE2} %{name}/config.linux-shared
cp -pPR %{name} %{name}-shared
mv %{name} %{name}-static
cp -af %{SOURCE1} ChangeLog.txt

%build
cd %{name}-static
./genMakefiles linux
sed -i -e 's#$(TESTPROGS_APP)##g' Makefile Makefile.tail
%{__make} \
	C_COMPILER="%{__cc}" \
	CPLUSPLUS_COMPILER="%{__cxx}" \
	COMPILE_OPTS="\$(INCLUDES) -I. %{rpmcppflags} %{rpmcflags} -DSOCKLEN_T=socklen_t -DRTSPCLIENT_SYNCHRONOUS_INTERFACE=1 -fPIC"

cd ../%{name}-shared
./genMakefiles linux-shared
sed -i -e 's#$(TESTPROGS_APP)##g' Makefile Makefile.tail
%{__make} \
	C_COMPILER="%{__cc}" \
	CPLUSPLUS_COMPILER="%{__cxx}" \
	LIB_SUFFIX="so.%{LIVE_ABI_VERSION}" \
	COMPILE_OPTS="\$(INCLUDES) -I. %{rpmcppflags} %{rpmcflags} -DSOCKLEN_T=socklen_t -DRTSPCLIENT_SYNCHRONOUS_INTERFACE=1"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/liveMedia,%{_bindir}}

for i in liveMedia groupsock UsageEnvironment BasicUsageEnvironment; do
	install -p %{name}-static/$i/lib$i.a $RPM_BUILD_ROOT%{_libdir}
	install -p %{name}-shared/$i/lib$i.so.%{LIVE_ABI_VERSION} $RPM_BUILD_ROOT%{_libdir}
	ln -s lib$i.so.%{LIVE_ABI_VERSION} $RPM_BUILD_ROOT%{_libdir}/lib$i.so
	install -p %{name}-shared/$i/include/* $RPM_BUILD_ROOT%{_includedir}/liveMedia
done

# We provide shared version:
install -p %{name}-shared/mediaServer/live555MediaServer $RPM_BUILD_ROOT%{_bindir}

# pc file
%{__make} -C live-shared install_shared_libraries \
	LIBDIR=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/live555MediaServer

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libBasicUsageEnvironment.so.7
%attr(755,root,root) %{_libdir}/libUsageEnvironment.so.7
%attr(755,root,root) %{_libdir}/libgroupsock.so.7
%attr(755,root,root) %{_libdir}/libliveMedia.so.7

%files devel
%defattr(644,root,root,755)
%doc ChangeLog.txt
%attr(755,root,root) %{_libdir}/libBasicUsageEnvironment.so
%attr(755,root,root) %{_libdir}/libUsageEnvironment.so
%attr(755,root,root) %{_libdir}/libgroupsock.so
%attr(755,root,root) %{_libdir}/libliveMedia.so
%{_includedir}/liveMedia
%{_pkgconfigdir}/live555.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libBasicUsageEnvironment.a
%{_libdir}/libUsageEnvironment.a
%{_libdir}/libgroupsock.a
%{_libdir}/libliveMedia.a
%changelog
* Sun Mar 13 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/live.git;a=log;h=master

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 83b7a79
- updated to 2016.02.22
- soname bumped due to ABI changes (use 7 to match gentoo)

* Thu Mar 19 2015 Adam Osuchowski <adwol@pld-linux.org> f9e099d
- up to 2015.03.16

* Wed Mar 04 2015 Jakub Bogusz <qboosh@pld-linux.org> 257df1e
- updated to 2015.03.01

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 7d248c7
- x32 rebuild
- release 2 (by relup.sh)

* Mon Nov 17 2014 Tomasz Pala <gotar@pld-linux.org> 6666873
- upgraded to 2014.11.12

* Tue Nov 04 2014 Jakub Bogusz <qboosh@pld-linux.org> d2527ee
- updated to 2014.11.01

* Mon Sep 15 2014 Jakub Bogusz <qboosh@pld-linux.org> d0e238a
- updated to 2014.09.11

* Sun Jul 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 30dc04f
- add pc file (from debian)

* Sun Jul 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a578488
- up to 2014.07.04

* Sun Nov 03 2013 Jakub Bogusz <qboosh@pld-linux.org> daad9ef
- updated to 2013.10.25

* Fri Jul 26 2013 Jakub Bogusz <qboosh@pld-linux.org> a12da3b
- updated to 2013.07.16

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 5328da2
- updated to 2013.04.06

* Sat Mar 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 776e398
- updated to 2013.02.27

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 92e1a3e
- updated to 2013.02.11

* Wed Jan 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 9dc906f
- build with RTSPCLIENT_SYNCHRONOUS_INTERFACE (required by mplayer)
- release 2

* Mon Jan 28 2013 Jakub Bogusz <qboosh@pld-linux.org> cfc9931
- updated to 2013.01.25

* Thu Jan 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 91da1df
- updated to 2013.01.23

* Sat Jan 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 13858dc
- updated to 2013.01.19

* Fri Jan 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 097a7c3
- changelog has changed

* Fri Jan 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 98244ac
- updated to 2013.01.15

